package collision;

import java.util.Random;

/**
 * 
 * @author Eduardo Guse
 * 
 * Classe filha de Personagem, tem a função de implementar um inimigo.
 * Cada alien tem uma lista de misseis.
 */
public class Alien extends Personagem {

    static Random r = new Random(); //cria apenas uma instancia de Random para todos os aliens.
    private int tempoMissil;


/**
 *
 * @param x - posição x para iniciar o Alien
 * @param y - posição y para iniciar o Alien
 */
    public Alien(int x, int y) {

        super("/collision/alien.png", (r.nextInt(7) == 3) ? 100 : 10, x, y);
        fire();
    }

/**
 * Dispara um tipo contra o jogador
 */
    public void fire() {
        if (++tempoMissil >= 80) {
            tempoMissil = 0;
            //se tem menos de dois misseis na tela, então dispara mais um missil
            if (super.missil.size() < 2) {
                super.missil.add(new Missile(0, -2, posX - largura, posY + altura / 2));
            }
        }
    }
}
