package collision;

import java.awt.event.KeyEvent;

public class Jogador extends Personagem {

    private int dx, dy;
    private int pontos, poder, tempo;

    public Jogador(String imgPersonagem) {
        super(imgPersonagem, 100, 40, 60);
        this.poder = 100;
    }

    public void setTempo(int t) {
        if (this.tempo > 0) {
            this.tempo -= t;
        } else {
            this.tempo = 0;
        }
    }

    public void fire() {
        if (super.missil.size() < 5) {
//            super.missil.add(new Missile(posX + largura, posY));
            super.missil.add(new Missile(400, 2, posX + largura, posY + altura / 2));
//            super.missil.add(new Missile(posX + largura, posY + altura));
        }
    }

    public int poderEscudo() {
        if (this.poder >= 50) {
            this.poder -= 50;
            tempo = 5000;
            return 1;
        }
        return 0;
    }

    public int poderBombaAniquiladora() {
        if (this.poder >= 100) {
            this.poder -= 100;
            return 2;
        }
        return 0;
    }

    public int poderRevitalizador() {
        if (this.poder > 0) {
            vida += this.poder;
            this.poder = 0;
            return 3;
        }
        return 0;
    }

    public int getEscudo() {
        return this.tempo;
    }

    public int getPoder() {
        return this.poder;
    }

    public int getPontos() {
        return pontos;
    }

    public void incPoder(int poder) {
        this.poder += poder;
        if (this.poder > 100) {
            this.poder = 100;
        }
    }

    public void incPontos(int pontos) {
        this.pontos += pontos;
    }

    public void move() {

        posX += dx;
        posY += dy;

        if (posX < 1) {
            posX = 1;
        }

        if (posY < 1) {
            posY = 1;
        }
    }

    public int keyPressed(KeyEvent e) {

        int key = e.getKeyCode();

        if (key == KeyEvent.VK_SPACE) {
            fire();
        }

        if (key == KeyEvent.VK_LEFT) {
            dx = -1;
        }

        if (key == KeyEvent.VK_RIGHT) {
            dx = 1;
        }

        if (key == KeyEvent.VK_UP) {
            dy = -1;
        }

        if (key == KeyEvent.VK_DOWN) {
            dy = 1;
        }
        return 0;
    }

    public int keyReleased(KeyEvent e) {
        int key = e.getKeyCode();

        if (key == KeyEvent.VK_LEFT) {
            dx = 0;
        }

        if (key == KeyEvent.VK_RIGHT) {
            dx = 0;
        }

        if (key == KeyEvent.VK_UP) {
            dy = 0;
        }

        if (key == KeyEvent.VK_DOWN) {
            dy = 0;
        }
        return 0;
    }
}
